Subject: Re: bug#12667: 24.2; defcustom changed in lexical-binding

From: Leo <[email-masked]>
Date: Thu, 25 Oct 2012 01:54:04 +0800

On 2012-10-24 02:52 +0800, Stefan Monnier wrote:
> I can't reproduce it here.
> I did "src/emacs -Q -l ~/tmp/bigbug.el ~/tmp/bigbug.el"
> then removed the "-v" and did C-M-x and then C-h v and it showed the
> value did not have "-v" any more (and the original value was not
> displayed because it's equal to the current value).
>
> Can you try and figure out what's the difference between me test case
> and your test case, to see what triggers the problem?

I built bzr trunk and this bug doesn't happen there.

I could only reproduce it with 24.2 from the emacs-24 branch
(2012-09-29).

Leo